# PSF-LoginServer - master - net.psforever.services.vehicle.VehicleResponse.SeatPermissions
PSF - LoginServer - master - net.psforever.services.vehicle.VehicleResponse.SeatPermissions
Keywords: PSF LoginServer master net.psforever.services.vehicle.VehicleResponse.SeatPermissions

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package vehicle
  Definition Classes
    services
-  object VehicleResponse
  Definition Classes
    vehicle
- AttachToRails
- ChangeLoadout
- ChildObjectState
- ConcealPlayer
- DeployRequest
- DetachFromRails
- DismountVehicle
- EquipmentInSlot
- HitHint
- InventoryState
- InventoryState2
- KickCargo
- KickPassenger
- LoadVehicle
- MountVehicle
- ObjectDelete
- Ownership
- PeriodicReminder
- PlanetsideAttribute
- PlayerSeatedInVehicle
- ResetSpawnPad
- Response
- RevealPlayer
- SeatPermissions
- SendResponse
- ServerVehicleOverrideEnd
- ServerVehicleOverrideStart
- StartPlayerSeatedInVehicle
- StowEquipment
- TransferPassengerChannel
- UnloadVehicle
- UnstowEquipment
- UpdateAmsSpawnPoint
- VehicleState

c

net.psforever.services.vehicle.VehicleResponse

# SeatPermissions

###

#### final case class SeatPermissions(vehicle_guid: PlanetSideGUID, seat_group: Int, permission: Long) extends Response with Product with Serializable

Source
  VehicleServiceResponse.scala

Linear Supertypes
Serializable, Product, Equals, Response, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SeatPermissions
2. Serializable
3. Product
4. Equals
5. Response
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SeatPermissions(vehicle_guid: PlanetSideGUID, seat_group: Int, permission: Long)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  val permission: Long
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  val seat_group: Int
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  val vehicle_guid: PlanetSideGUID
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Response

### Inherited from AnyRef

### Inherited from Any

### Ungrouped